Summary: Text mode Mail Client
Name: neomutt
Version: 20240425
Release:    1%{?dist}
Url: https://neomutt.org/

License: GPLv2+ and BSD and MIT and Public Domain

Source0: https://github.com/neomutt/neomutt/archive/%{version}/%{name}-%{version}.tar.gz
Source1: colors.rc

Patch0: neomutt-system_certs.patch
Patch1: neomutt-ssl_ciphers.patch

Requires: mailcap
Recommends: urlview

BuildRequires: cyrus-sasl-devel, gcc, gettext, gettext-devel, gnutls-devel
BuildRequires: gpgme-devel, krb5-devel, libidn2-devel, libzstd-devel
BuildRequires: lmdb-devel, lua-devel, lz4-devel, ncurses-devel, notmuch-devel
BuildRequires: pcre2-devel, sqlite-devel, tokyocabinet-devel, zlib-devel

BuildRequires: /usr/bin/xsltproc, docbook-dtds, docbook-style-xsl, perl, lynx

%description
NeoMutt is a small but very powerful text-based MIME mail client.  NeoMutt is
highly configurable, and is well suited to the mail power user with advanced
features like key bindings, keyboard macros, mail threading, regular expression
searches and a powerful pattern matching language for selecting groups of
messages.

%prep
%setup -q -n %{name}-%{version}
%patch -P 0 -p1 -b .system_certs
%patch -P 1 -p1 -b .ssl_ciphers

%build
%{configure} \
    CC=gcc \
    SENDMAIL=%{_sbindir}/sendmail \
    ISPELL=%{_bindir}/hunspell \
    --autocrypt --disable-idn --full-doc --gnutls --gpgme --gss --idn2 --lmdb \
    --lua --lz4 --notmuch --pcre2 --sasl --tokyocabinet --zlib --zstd

%{make_build}

sed -i -r 's/<a id="id[a-z0-9]\+">/<a id="id">/g' docs/manual.html

%install
%{make_install}
rm %{buildroot}%{_pkgdocdir}/INSTALL.md %{buildroot}%{_pkgdocdir}/LICENSE.md
cat %{SOURCE1} >> %{buildroot}%{_sysconfdir}/neomuttrc

%find_lang %{name}

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/neomuttrc
%{_bindir}/neomutt
%{_libexecdir}/neomutt
%license LICENSE.md
%{_pkgdocdir}
%{_mandir}/man1/neomutt.*
%{_mandir}/man1/pgpewrap_neomutt.*
%{_mandir}/man1/smime_keys_neomutt.*
%{_mandir}/man5/mbox_neomutt.*
%{_mandir}/man5/mmdf_neomutt.*
%{_mandir}/man5/neomuttrc.*
%{_datadir}/neomutt

%changelog
* Fri Aug 23 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20240425-1
- initial build
